<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateFilesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: files
         */
        Schema::create('files', function ($table) {
            $table->increments('id');
            $table->integer('project_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->string('path', 255)->nullable();
            $table->string('extension', 255)->nullable();
            $table->integer('channels')->nullable();
            $table->string('duration', 255)->nullable();
            $table->double('sampling_rate', 50)->nullable();
            $table->double('bit_rate', 50)->nullable();
            $table->double('frame_rate', 50)->nullable();
            $table->double('width', 50)->nullable();
            $table->double('height', 50)->nullable();
            $table->string('type', 255)->nullable();
            $table->timestamp('modified_at')->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->package::package.fieldtype.PRIMARY('),')->nullable();
            $table->package::package.fieldtype.INDEX('id),')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('files');
    }
}
