Lavalite package that provides file management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `files/file`.

    "files/file": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Files\File\Providers\FileServiceProvider::class,

And also add it to alias

    'File'  => Files\File\Facades\File::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Files\\File\\Seeds\\FileTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Files\File\Providers\FileServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Files\File\Providers\FileServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Files\File\Providers\FileServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/file/{modulename}

**User**

    http://path-to-route-folder/user/file/{modulename}

**Public**

    http://path-to-route-folder/files


### API endpoints

**List**

    http://path-to-route-folder/api/user/file/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/file/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/file/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/file/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/file/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/file/{modulename}/{slug}
    METHOD: GET