<?php

namespace Files\File\Forms;

use Litepie\Form\FormInterpreter;

class File extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('file/file/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('file/file/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('file/file'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('file/file'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('file/file'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('file/file'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('file::file.label.name'),
                "placeholder" => trans('file::file.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('file::file.label.created_at'),
            'name' => trans('file::file.label.name'),
            'status' => trans('file::file.label.status'),
        ];
        self::$groups = [
            'main' => trans('file::file.groups.main'),
            'details' => trans('file::file.groups.details'),
            'images' => trans('file::file.groups.images'),
            'settings' => trans('file::file.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('file::file.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('file::file.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('file::file.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('file::file.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'project_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('file::file.label.project_id'),
                "placeholder" => trans('file::file.placeholder.project_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('file::file.label.name'),
                "placeholder" => trans('file::file.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'path' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('file::file.label.path'),
                "placeholder" => trans('file::file.placeholder.path'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'extension' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('file::file.label.extension'),
                "placeholder" => trans('file::file.placeholder.extension'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'channels' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('file::file.label.channels'),
                "placeholder" => trans('file::file.placeholder.channels'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'duration' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('file::file.label.duration'),
                "placeholder" => trans('file::file.placeholder.duration'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sampling_rate' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('file::file.label.sampling_rate'),
                "placeholder" => trans('file::file.placeholder.sampling_rate'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bit_rate' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('file::file.label.bit_rate'),
                "placeholder" => trans('file::file.placeholder.bit_rate'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'frame_rate' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('file::file.label.frame_rate'),
                "placeholder" => trans('file::file.placeholder.frame_rate'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'width' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('file::file.label.width'),
                "placeholder" => trans('file::file.placeholder.width'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'height' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => trans('file::file.label.height'),
                "placeholder" => trans('file::file.placeholder.height'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('file::file.label.type'),
                "placeholder" => trans('file::file.placeholder.type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => trans('file::file.label.modified_at'),
                "placeholder" => trans('file::file.placeholder.modified_at'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('file::file.label.)'),
                "placeholder" => trans('file::file.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            '),' => [
                "element" => 'package::package.formcontrols.PRIMARY',
                "type" => 'package::package.formcontrols.PRIMARY',
                "label" => trans('file::file.label.),'),
                "placeholder" => trans('file::file.placeholder.),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => trans('file::file.label.id),'),
                "placeholder" => trans('file::file.placeholder.id),'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
