<?php

namespace Files\File\Repositories\Eloquent;

use Files\File\Interfaces\FileRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Files\File\Repositories\Eloquent\Presenters\FileItemPresenter;


class FileRepository extends BaseRepository implements FileRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('files.file.file.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('files.file.file.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return FileItemPresenter::class;
    }
}
